summaryrefslogtreecommitdiffstats
path: root/debian/cryptsetup-nuke-password.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/cryptsetup-nuke-password.preinst')
-rw-r--r--debian/cryptsetup-nuke-password.preinst11
1 files changed, 11 insertions, 0 deletions
diff --git a/debian/cryptsetup-nuke-password.preinst b/debian/cryptsetup-nuke-password.preinst
new file mode 100644
index 0000000..7836282
--- /dev/null
+++ b/debian/cryptsetup-nuke-password.preinst
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "install" ]; then
+ dpkg-divert --rename --package cryptsetup-nuke-password \
+ --divert /lib/cryptsetup/askpass.cryptsetup \
+ --add /lib/cryptsetup/askpass
+fi
+
+#DEBHELPER#